Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.cybernode
Interface CybernodeImplMBean

All Superinterfaces:
  ServiceBeanAdapterMBean

    public interface CybernodeImplMBean

extends ServiceBeanAdapterMBean

Provides a standard MBean to use when administering the Cybernode using JMX

Method Summary
`boolean` | `getPersistentProvisioning()` Get whether the Cybernode supports persistent provisioning of qualitative capabilities
`Integer` | `getServiceCount()` Get the number of services that this Cybernode has instantiated
`Integer` | `getServiceLimit()` Get the upper limit of services that this Cybernode can instantiate
`double` | `getUtilization()` Get the resource's utilization.
`boolean` | `isEnlisted()` Get the enlisted state of the Cybernode
`void` | `setPersistentProvisioning(boolean provisionEnabled)` Set whether the Cybernode supports persistent provisioning of qualitative capabilities
`void` | `setServiceLimit(Integer limit)` Set the upper limit of services that this Cybernode can instantiate

Methods inherited from interface org.jini.rio.jsb.ServiceBeanAdapterMBean
`advertise, destroy, destroy, getLookupGroups, getStarted, setLookupGroups, unadvertise`

Method Detail

### getServiceLimit

    Integer getServiceLimit()

  Get the upper limit of services that this Cybernode can instantiate

  Returns:
    The upper limit of services

### setServiceLimit

    void setServiceLimit(Integer limit)

  Set the upper limit of services that this Cybernode can instantiate

  Parameters:
    `limit` - The upper limit of services

### getServiceCount

    Integer getServiceCount()

  Get the number of services that this Cybernode has instantiated

  Returns:
    The number of services the Cybernode has instantiated

### getUtilization

    double getUtilization()

  Get the resource's utilization. This method returns the aggregate of all measured system utilization values

  Returns:
    The aggregate utilization as a relative value

### getPersistentProvisioning

    boolean getPersistentProvisioning()

  Get whether the Cybernode supports persistent provisioning of qualitative capabilities

  Returns:
    True if the Cybernode supports persistent provisioning of qualitative capabilities otherwise return false

### setPersistentProvisioning

    void setPersistentProvisioning(boolean provisionEnabled)
                                   throws IOException

  Set whether the Cybernode supports persistent provisioning of qualitative capabilities

  Parameters:
    `provisionEnabled` - If the Cybernode supports persistent provisioning of qualitative capabilities
  Throws:
    `IOException`

### isEnlisted

    boolean isEnlisted()

  Get the enlisted state of the Cybernode

  Returns:
    True if the Cybernode can be used to instantiate dynamic application services.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.